%ifarch %{ix86}
%global nosse2_hack 1
## TODO:
# * consider debian's approach of runtime detection instead:
#   https://codereview.qt-project.org/#/c/127354/
%endif

%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 4
%define pre rc
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5quicktest %mklibname qt5quicktest %qtmajor
%define libqt5quicktest_d %mklibname qt%{qtmajor}quicktest -d

%define libqt5quick %mklibname qt5quick %qtmajor
%define libqt5quick_d %mklibname qt%{qtmajor}quick -d

%define libqt5quickwidgets %mklibname qt5quickwidgets %qtmajor
%define libqt5quickwidgets_d %mklibname qt%{qtmajor}quickwidgets -d

%define libqt5quickparticles %mklibname qt5quickparticles %qtmajor
%define libqt5quickparticles_d %mklibname qt%{qtmajor}quickparticles -d

%define libqt5qml %mklibname qt5qml %qtmajor
%define libqt5qml_d %mklibname qt%{qtmajor}qml -d

%if %snapshot
%define qttarballdir qtdeclarative-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtdeclarative-opensource-src-%{qtversion}
%endif

Name: qtdeclarative5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Declarative component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.gz
Patch0001:   0001-Document-that-attached-properties-are-created-in-C.patch
Patch0002:   0002-Fix-grammar-in-Keyboard-Focus-in-Qt-Quick-documentat.patch
Patch0003:   0003-Destroy-an-incubating-delegate-if-it-is-removed-befo.patch
Patch0004:   0004-QQuickTextInput-avoid-emitting-editingFinished-twice.patch
Patch0005:   0005-Propagate-window-enter-event-as-hover-enter-event-in.patch
Patch0006:   0006-Give-SquareButton-types-a-side-property-to-mediate-b.patch
Patch0007:   0007-Enhance-quickwidget-example-with-all-grabbing-cases.patch
Patch0008:   0008-Add-a-facility-to-version-type-information-for-debug.patch
Patch0009:   0009-Fix-MouseArea-sticky-grab-with-drag.filterChildren-e.patch
Patch0010:   0010-Quick-Do-not-send-SG-updates-when-AnimatedSprite-is-.patch
Patch0011:   0011-QSGRenderContext-Add-null-checks-for-strings.patch
Patch0012:   0012-V4-Free-up-2-address-bits-in-64bit-mode.patch
Patch0013:   0013-Flickable-don-t-activate-velocityTimeline-if-scroll-.patch
Patch0014:   0014-Fix-crash-on-Array.prototype.join.call-0.patch
Patch0015:   0015-Flickable-do-not-emit-movementEnded-until-it-really-.patch
Patch0016:   0016-QQuickText-fix-paddings-when-wrapping-or-eliding-is-.patch
Patch0017:   0017-Fix-incorrectly-aligned-text-whose-size-depends-on-i.patch
Patch0018:   0018-Fix-crash-with-window-less-QQuickItems.patch
Patch0019:   0019-qv4jsonobject-Make-use-of-QVariant-toString-in-strin.patch
Patch0020:   0020-BC-test-data-files-for-Qt-5.6-for-QtDeclarative.patch
Patch0021:   0021-Fix-vtable-for-QQuickPaintedItem.patch
Patch0022:   0022-Fix-crash-on-cancel-QQuickImageResponse.patch
Patch0023:   0023-Flickable-add-a-trackpad-touchpad-autotest.patch
Patch0024:   0024-QQuickRectangle-fix-typo-in-apidoc.patch
Patch0025:   0025-QQuickPositioners-fix-sentence-structure-in-apidoc.patch
Patch0026:   0026-QML-Clear-weak-references-on-Object-destruction-for-.patch
Patch0027:   0027-Canvas-Implement-high-DPI-render-mode.patch
Patch0028:   0028-Use-QElapsedTimer-instead-of-QTime-to-measure-elapse.patch
Patch0029:   0029-Fix-some-minor-issues-in-documentation.patch
Patch0030:   0030-focus.qdoc-fix-grammar-in-documentation.patch
Patch0031:   0031-QDoc-fix-several-typos-an-minor-wording-issues-in-do.patch
Patch0032:   0032-Fix-linking-against-static-build-in-Visual-Studio-20.patch
Patch0033:   0033-QQListView-use-dot-for-property-syntax.patch
Patch0034:   0034-Fix-FastFBOResizing-hint-for-QQuickPaintedItem.patch
Patch0035:   0035-Fix-developer-build-with-gcc-6.patch
Patch0036:   0036-Fix-corruption-when-adding-or-changing-properties-of.patch
Patch0037:   0037-Fix-V4-on-big-endian.patch
Patch0038:   0038-testlib-Add-timestamp-to-mouse-click-events.patch
Patch0039:   0039-V4-Fix-usage-of-QV4-Value-tags-types.patch
Patch0040:   0040-Example-Use-TextInput-s-displayText-property-instead.patch
Patch0041:   0041-Check-qgl_current_fbo_invalid-before-using-qgl_curre.patch
Patch0042:   0042-Remove-superfluous-warning-statement-in-QAccessibleQ.patch
Patch0043:   0043-Fix-docs-about-ownership-when-QObject-has-a-parent.patch
Patch0044:   0044-QQuickWindow-don-t-discard-timestamps-for-wheel-even.patch
Patch0045:   0045-Fix-TextInput-selectByMouse-documentation.patch
Patch0046:   0046-tst_qquicktext-remove-bogus-blacklisting.patch
Patch0047:   0047-tst_qquicktextedit-remove-mouseDoubleClickInterval-w.patch
Patch0048:   0048-Make-tst_qquicktextedit-mouseSelection-pass.patch
Patch0049:   0049-Fix-QML-Compiler-crash.patch
Patch0050:   0050-Add-a-test-for-bitmap-font-rendering-in-Qt-Quick.patch
Patch0051:   0051-Fix-documentation-for-dragFinished-signal.patch
Patch0052:   0052-Fix-crash-when-trying-to-allocate-in-a-filled-atlas-.patch
Patch0053:   0053-Example-Enable-auto-scaling-on-HighDPI-screens.patch
Patch0054:   0054-Doc-replace-textEdit-with-TextEdit-in-lineCount-docu.patch
Patch0055:   0055-QV4String-properly-detect-overflow-when-trying-to-co.patch
Patch0056:   0056-remove-dependencies-from-sync.profile.patch
Patch0057:   0057-Fix-crash-when-using-custom-OpenGL-functions.patch
Patch0058:   0058-Add-checking-before-as-child-node.patch
Patch0059:   0059-Fix-more-cases-where-DSE-would-optimize-out-too-many.patch
Patch0060:   0060-Fix-QtQuickTest-mouseMove-not-having-timestamps.patch
Patch0061:   0061-Setting-Connection-s-target-to-null-should-disconnec.patch
Patch0062:   0062-QML-Check-for-failing-realloc-malloc-in-the-QmlJS-me.patch
Patch0063:   0063-Doc-improve-FolderListModel-rootFolder-documentation.patch
Patch0064:   0064-Fix-reading-of-enum-properties-from-gadgets.patch
Patch0065:   0065-QML-Change-C-benchmark-to-reflect-QML-benchmark.patch
Patch0066:   0066-QML-Fix-memory-leak-in-a-benchmark.patch
Patch0067:   0067-Doc-fix-incorrect-argument-name-for-createQmlObject.patch
Patch0068:   0068-Fix-binding-re-evaluation-when-list-model-properties.patch
Patch0069:   0069-Text-Make-use-of-the-new-cached-isSmoothlyScaled-att.patch
Patch0070:   0070-Improved-robustness-of-the-optimizer-when-removing-e.patch
Patch0071:   0071-V4-Fix-JIT-codegen-for-null-undefined-conditional-ju.patch
Patch0072:   0072-QmlProfiler-Explicitly-specify-the-offsets-for-scene.patch
Patch0073:   0073-Doc-fix-incorrect-syntax-in-Code-Behind-Implementati.patch
#Patch0074:   0074-Bump-version.patch
Patch0075:   0075-Fix-crash-when-C-QJSValue-parameterized-signal-inter.patch
Patch0076:   0076-Accept-PUA-characters-ZWNJ-and-ZWJ-as-input-in-TextI.patch
Patch0077:   0077-Fix-support-for-QJSValue-as-C-signal-parameter-type-.patch
Patch0078:   0078-Enable-PropertyChanges-to-correctly-restore-binding-.patch
Patch0079:   0079-Fix-memory-leak-in-V4.patch
Patch0080:   0080-QtQuick-scene-graph-fix-text-native-rendering.patch
Patch0081:   0081-Fix-build-with-GCC-7.patch

BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: qtcore5-devel = %{version}
BuildRequires: qtnetwork5-devel = %{version}
BuildRequires: qtgui5-devel = %{version}
BuildRequires: qtwidgets5-devel = %{version}
BuildRequires: qtsql5-devel = %{version}

BuildRequires: git-core

BuildRequires: cmake(Qt5Test) = %{version}

Conflicts:     %{_lib}qt5qml-private-devel  < 5.5.0-3

#Branch Patchs
# support no_sse2 CONFIG (i586 builds cannot assume -march=pentium4 -msse2 -mfpmath=sse flags, or the JIT that needs them)
# https://codereview.qt-project.org/#change,73710
Patch1000: qtdeclarative-opensource-src-5.6.2-no_sse2.patch

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Declarative component.

%files
%_qt5_bindir/qml
%_qt5_bindir/qmlimportscanner
%_qt5_bindir/qmlmin
%_qt5_bindir/qmlplugindump
%_qt5_bindir/qmlprofiler
%_qt5_bindir/qmlscene
%_qt5_bindir/qmltestrunner
%_qt5_bindir/qmleasing
%_qt5_bindir/qmllint
%_qt5_prefix/qml/QtTest
%_qt5_prefix/qml/QtQuick*
%_qt5_prefix/plugins/qmltooling/libqmldbg_tcp.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_debugger.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_inspector.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_local.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_native.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_profiler.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_server.so
%_qt5_prefix/qml/Qt/labs/folderlistmodel
%_qt5_prefix/qml/Qt/labs/settings
%_qt5_datadir/qml/QtQml
%_qt5_datadir/qml/builtins.qmltypes

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtDeclarative%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtDeclarative5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtqml.qch
%{_qt5_docdir}/qtqml/
%{_qt5_docdir}/qtquick.qch
%{_qt5_docdir}/qtquick/
%endif

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quicktest}
Qt%{qtmajor} Lib.

%files -n %{libqt5quicktest}
%{_qt5_libdir}/libQt5QuickTest.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/KDE and Qt
Requires: %{libqt5quicktest} = %version-%{release}
Requires: %{name} = %version
Provides: libqt5quicktest-devel = %version-%{release}
Provides: libqtquicktest5-devel = %version-%{release}
Provides: qt5quicktest-devel = %version-%{release}
Provides: qtquicktest5-devel = %version-%{release}

Provides: libqt5quicktest-private-devel = %version-%{release}
Provides: libqtquicktest5-private-devel = %version-%{release}
Provides: qt5quicktest-private-devel = %version-%{release}
Provides: qtquicktest5-private-devel = %version-%{release}

%description -n %{libqt5quicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quicktest_d}
%_qt5_libdir/libQt5QuickTest.prl
%_qt5_libdir/libQt5QuickTest.so
%_qt5_libdir/cmake/Qt5QuickTest
%_qt5_includedir/QtQuickTest
%_qt5_libdir/pkgconfig/Qt5QuickTest.pc
%_qt5_prefix/examples/qmltest

#------------------------------------------------------------------------------

%package -n %{libqt5quick}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quick}
Qt%{qtmajor} Lib.

%files -n %{libqt5quick}
%{_qt5_libdir}/libQt5Quick.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quick_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/KDE and Qt
Requires: %{name} = %version-%{release}
Requires: %{libqt5quick} = %version-%{release}
Provides: libqt5quick-devel = %version-%{release}
Provides: libqtquick5-devel = %version-%{release}
Provides: qt5quick-devel = %version-%{release}
Provides: qtquick5-devel = %version-%{release}
Requires: qtgui5-devel = %version-%{release}

Provides: libqt5quick-private-devel = %version-%{release}
Provides: libqtquick5-private-devel = %version-%{release}
Provides: qt5quick-private-devel = %version-%{release}
Provides: qtquick5-private-devel = %version-%{release}

%description -n %{libqt5quick_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quick_d}
%_qt5_libdir/libQt5Quick.prl
%_qt5_libdir/libQt5Quick.so
%_qt5_libdir/cmake/Qt5Quick
%_qt5_includedir/QtQuick
%_qt5_prefix/examples/quick
%_qt5_libdir/pkgconfig/Qt5Quick.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quick.pri
%_qt5_prefix/mkspecs/modules/qt_lib_quick_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets}
Summary: Qt%{qtmajor} Lib 
Group: System/Libraries

%description -n %{libqt5quickwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickwidgets}
%{_qt5_libdir}/libQt5QuickWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/KDE and Qt
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickwidgets} = %version-%{release}
Provides: libqt5quickwidgets-devel = %version-%{release}
Provides: libqtquickwidgets5-devel = %version-%{release}
Provides: qt5quickwidgets-devel = %version-%{release}
Provides: qtquickwidgets5-devel = %version-%{release}

Provides: libqt5quickwidgets-private-devel = %version-%{release}
Provides: libqtquickwidgets5-private-devel = %version-%{release}
Provides: qt5quickwidgets-private-devel = %version-%{release}
Provides: qtquickwidgets5-private-devel = %version-%{release}

%description -n %{libqt5quickwidgets_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickwidgets_d}
%_qt5_libdir/libQt5QuickWidgets.prl
%_qt5_libdir/libQt5QuickWidgets.so
%_qt5_libdir/cmake/Qt5QuickWidgets
%_qt5_includedir/QtQuickWidgets
%_qt5_libdir/pkgconfig/Qt5QuickWidgets.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets.pri
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickparticles}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickparticles}
%{_qt5_libdir}/libQt5QuickParticles.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/KDE and Qt
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickparticles} = %version-%{release}
Provides: libqt5quickparticles-devel = %version-%{release}
Provides: libqtquickparticles5-devel = %version-%{release}
Provides: qt5quickparticles-devel = %version-%{release}
Provides: qtquickparticles5-devel = %version-%{release}

Provides: libqt5quickparticles-private-devel = %version-%{release}
Provides: libqtquickparticles5-private-devel = %version-%{release}
Provides: qt5quickparticles-private-devel = %version-%{release}
Provides: qtquickparticles5-private-devel = %version-%{release}

%description -n %{libqt5quickparticles_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickparticles_d}
%_qt5_libdir/libQt5QuickParticles.prl
%_qt5_libdir/libQt5QuickParticles.so
%_qt5_includedir/QtQuickParticles
%_qt5_prefix/mkspecs/modules/qt_lib_quickparticles_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qml}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qml}
Qt%{qtmajor} Lib.

%files -n %{libqt5qml}
%{_qt5_libdir}/libQt5Qml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qml_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/KDE and Qt
Requires: %{name} = %version-%{release}
Requires: %{libqt5qml} = %version-%{release}
Provides: libqt5qml-devel = %version-%{release}
Provides: libqtqml5-devel = %version-%{release}
Provides: qt5qml-devel = %version-%{release}
Provides: qtqml5-devel = %version-%{release}

Provides: libqt5qml-private-devel = %version-%{release}
Provides: libqtqml5-private-devel = %version-%{release}
Provides: qt5qml-private-devel = %version-%{release}
Provides: qtqml5-private-devel = %version-%{release}

Requires: qtnetwork5-devel = %version
Requires: qtcore5-devel = %version

%description -n %{libqt5qml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qml_d}
%_qt5_libdir/libQt5Qml.prl
%_qt5_libdir/libQt5Qml.so
%_qt5_libdir/cmake/Qt5Qml
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qml.pri
%_qt5_prefix/examples/qml
%_qt5_libdir/pkgconfig/Qt5Qml.pc
%_qt5_libdir/libQt5QmlDevTools.a
%_qt5_includedir/QtQml*
%_qt5_libdir/libQt5QmlDevTools.prl
%_qt5_prefix/mkspecs/modules/qt_lib_qml_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmldevtools_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest_private.pri

#------------------------------------------------------------------------------

%prep
%autosetup -S git -n qtdeclarative-opensource-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
#find %%{buildroot} -name '*.a' -delete



%changelog
* Thu Mar 30 2017 neoclust <neoclust> 5.6.2-4.mga6
+ Revision: 1095262
- Rebuild as it failed in i586
- Sync with upstream 5.6 branch

* Thu Jan 12 2017 neoclust <neoclust> 5.6.2-2.mga6
+ Revision: 1081189
- Disable ss2 on i586

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064913
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049777
- build missing docs part (mga#9812)
- add qtdeclarative5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038370
- Update to version 5.6.1-1
- New version

* Fri Mar 18 2016 neoclust <neoclust> 5.6.0-2.mga6
+ Revision: 992739
- Fix release

* Wed Mar 16 2016 neoclust <neoclust> 5.6.0-1.rc.2.mga6
+ Revision: 992260
- New version

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987887
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980606
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915947
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915788
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912727
- Remove private devel packages

* Sat Dec 19 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911865
- New version 5.6.0 beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900388
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894493
- New version

* Thu Oct 22 2015 neoclust <neoclust> 5.5.0-4.mga6
+ Revision: 894042
- Enforce release in requires/provides

* Mon Sep 28 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 884329
- Fix file location ( mga#16779)

* Fri Aug 07 2015 sander85 <sander85> 5.5.0-2.mga6
+ Revision: 861527
- Add some BRs to build qt5-xmllistmodel support for yr.no plasmoid (BR from Fedora)

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853376
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old sources;

* Wed Jun 24 2015 neoclust <neoclust> 5.5.0-0.rc.2.mga6
+ Revision: 841745
- Do not remove all .a files, they are needed by lupdate

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839912
- New version 5.5 rc

* Tue Dec 16 2014 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 803482
- Fix requires on name

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802784
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801797
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 747462
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738087
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639772
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624068
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621412
- update file list
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612293
- 5.3.0beta
- 5.3.0 beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598825
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586965
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584209
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556731
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554429
- update file list
- 5.2.0 rc1

* Thu Nov 14 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 551124
- qtjsbackend is not needed now

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547096
- 5.2.0 beta1
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.3.mga4
+ Revision: 538997
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.2.mga4
+ Revision: 491188
- add requires on qml-private-devel, as there are relative includes

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490485
- New version 5.2.0 alpha

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428816
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427023
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410360
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394038
- New version 5.O.1 Final

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393093
- Move private headers out of devel package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392326
- New version 5.0.1 rc1

* Sat Jan 26 2013 neoclust <neoclust> 5.0.0-2.mga3
+ Revision: 392305
- Fix typo in macro
- imported package qtdeclarative5

